SYD-AUX(1)

NAME

syd-aux - print auxiliary vector information

SYNOPSIS

syd-aux [-hrs]

DESCRIPTION

Print auxiliary vector information.

If -r is given print hexadecimal-encoded AT_RANDOM cookie.

If -s is given exit with success if AT_SECURE is set.

OPTIONS

-h | Display help and exit.

-r | Print hexadecimal-encoded AT_RANDOM cookie.

-s | Exit with success if AT_SECURE is set.

SEE ALSO

syd(1), syd(2), syd(5), syd-elf(1), syd-ldd(1), getauxval(3)

syd homepage: https://sydbox.exherbolinux.org/

AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.